export interface LeaveUserInfoIn {
  T_user_name: string
  T_dept: string
  T_post: string
  T_type_name: string
  T_start_time: string
  T_end_time: string
  T_text: string
  Id: string
  T_duration: number
}

export interface OvertimeUserInfoIn {
  T_uid: string
  T_user_name: string
  T_dept: string
  T_post: string
  T_type_name: string
  T_start_time: string
  T_end_time: string
  T_text: string
  Id: string
  T_duration: string
  T_prove_img: string
}

export function useTablePublic() {
  //判断是否相等，相同时改变背景颜色
  const tableRowClassName = (T_uuid: string, T_uuid2: string): any => {
    let user: any = undefined
    if (T_uuid === T_uuid2) {
      user = T_uuid2
    }
    if (user !== undefined) {
      let rowBackground = {
        background: '#e3eefd',
        color: '#0d7bff'
      }
      return rowBackground
    } else {
      return ''
    }
  }
  return {
    tableRowClassName
  }
}
